import { FixedSizeBeet, SupportedTypeDefinition } from '../types';
/**
 * De/Serializer for non-values, i.e. `void`, `()`, `undefined` aka the _unit_ type .
 *
 * @category beet/primitive
 */
export declare const unit: FixedSizeBeet<void>;
/**
 * @category TypeDefinition
 */
export declare type UnitExports = keyof typeof import('./unit');
/**
 * @category TypeDefinition
 */
export declare type UnitTypeMapKey = 'unit';
/**
 * @category TypeDefinition
 */
export declare type UnitTypeMap = Record<UnitTypeMapKey, SupportedTypeDefinition & {
    beet: UnitExports;
}>;
/**
 * Maps unit beet exports to metadata which describes in which package it
 * is defined as well as which TypeScript type is used to represent the
 * deserialized value in JavaScript.
 *
 * @category TypeDefinition
 */
export declare const unitTypeMap: UnitTypeMap;
